# MacroBuf_s Struct Reference

Macro expansion state. More...

## Data Fields
const char * | s
char * | t
size_t | nb
int | depth
int | macro_trace
int | expand_trace
void * | spec
MacroContext | mc

## Detailed Description

Macro expansion state.

Definition at line 99 of file macro.c.

## Field Documentation

const char* MacroBuf_s::s

Text to expand.

Definition at line 101 of file macro.c.

Referenced by expandMacro(), expandMacros(), expandT(), and expandU().

char* MacroBuf_s::t

Expansion buffer.

Definition at line 103 of file macro.c.

Referenced by doShellEscape(), expandMacro(), expandMacros(), and expandU().

size_t MacroBuf_s::nb

No. bytes remaining in expansion buffer.

Definition at line 104 of file macro.c.

Referenced by doShellEscape(), expandMacro(), expandMacros(), and expandU().

int MacroBuf_s::depth

Current expansion depth.

Definition at line 105 of file macro.c.

Referenced by expandMacro(), expandMacros(), freeArgs(), grabArgs(), printExpansion(), and printMacro().

int MacroBuf_s::macro_trace

Pre-print macro to expand?

Definition at line 106 of file macro.c.

Referenced by expandMacro(), and expandMacros().

int MacroBuf_s::expand_trace

Post-print macro expansion?

Definition at line 107 of file macro.c.

Referenced by expandMacro(), and expandMacros().

void* MacroBuf_s::spec

(future) file expansion info?.

Definition at line 109 of file macro.c.

Referenced by expandMacros().

MacroContext MacroBuf_s::mc

Definition at line 111 of file macro.c.

Referenced by doDefine(), expandMacro(), expandMacros(), freeArgs(), grabArgs(), and rpmDefineMacro().

The documentation for this struct was generated from the following file:

- rpmio/macro.c